Method: networks.creativeWrappers.batchUpdate

Batch updates CreativeWrapper objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/creativeWrappers:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where CreativeWrappers will be updated. Format: networks/{networkCode} The parent field in the UpdateCreativeWrapperRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateCreativeWrapperRequest)
    }
  ]
}
Fields
requests[]

object (UpdateCreativeWrapperRequest)

Required. The CreativeWrapper objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for creativeWrappers.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "creativeWrappers": [
    {
      object (CreativeWrapper)
    }
  ]
}
Fields
creativeWrappers[]

object (CreativeWrapper)

The CreativeWrapper objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateCreativeWrapperRequest

Request object for creativeWrappers.patch method.

JSON representation
{
  "creativeWrapper": {
    object (CreativeWrapper)
  },
  "updateMask": string
}
Fields
creativeWrapper

object (CreativeWrapper)

Required. The CreativeWrapper to update.

The CreativeWrapper's name is used to identify the CreativeWrapper to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".